Bug 480049 - nm-tool crashes if NM can't talk to HAL
nm-tool crashes if NM can't talk to HAL
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: NetworkManager (Show other bugs)
10
All Linux
low Severity medium
: ---
: ---
Assigned To: Dan Williams
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-01-14 13:31 EST by Bill Nottingham
Modified: 2014-03-16 23:17 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-02-12 19:01:53 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bill Nottingham 2009-01-14 13:31:18 EST
Description of problem:

Obviously it's a pathological case, but:

# nm-tool

NetworkManager Tool

State: disconnected

(process:6375) GLib-CRITICAL **: g_ptr_array_foreach: assertion 'array' failed

Version-Release number of selected component (if applicable):

NetworkManager-0.7.0-1.git20090102.fc10.x86_64
Comment 1 Dan Williams 2009-02-12 19:01:53 EST
Should be fixed in git20090207 which is already in testing; fixed by the patch for Gnome bugzilla #569562.

Note You need to log in before you can comment on or make changes to this bug.